## ros-foxy-run-moveit-cpp 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(run_moveit_cpp)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_common REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
# This shouldn't be necessary (required by moveit_simple_controller_manager)
find_package(rosidl_default_runtime REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)
# uncomment the following section in order to fill in
# further dependencies manually.
# find_package(<dependency> REQUIRED)

add_executable(run_moveit_cpp src/run_moveit_cpp.cpp)
ament_target_dependencies(run_moveit_cpp
  moveit_ros_planning_interface
  Boost
)

install(TARGETS run_moveit_cpp
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  INCLUDES DESTINATION include
)
ament_export_targets(export_${PROJECT_NAME})

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)
install(DIRECTORY config
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-run-moveit-cpp (2.2.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-run-moveit-cpp (2.2.2-1focal) focal; urgency=high

  * Migrate to joint_state_broadcaster (#656 <https://github.com/ros-planning/moveit2/issues/656>)
  * Add missing exec dependencies to demo packages (#582 <https://github.com/ros-planning/moveit2/issues/582>)
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Contributors: Henning Kayser, Jafar Abdi, Vatan Aksoy Tezer, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-run-moveit-cpp (2.2.1-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.2.0-1focal) focal; urgency=high

  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
  * Contributors: JafarAbdi

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.4-1focal) focal; urgency=high

  * Delete MoveIt fake_controller_manager (#471 <https://github.com/ros-planning/moveit2/issues/471>)
  * Contributors: AndyZe

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.3-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.1-1focal) focal; urgency=high

  * Update launch files to use ros2 control spawner (#405 <https://github.com/ros-planning/moveit2/issues/405>)
  * Use fake_components::GenericSystem from ros2_control (#361 <https://github.com/ros-planning/moveit2/issues/361>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-run-moveit-cpp (2.1.0-1focal) focal; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-run-moveit-cpp (2.0.0-1focal) focal; urgency=high

  * [fix] Fix run_moveit_cpp version
  * [fix] ROS2 demo: Fix comment for static TF
  * [fix] ROS2 demo: Scope locked planning scene
  * [improve] Add collision object to the demo
  * [fix] Fix setup instructions for ROS2 demo
  * [improve] Add start positions config files
  * [doc] Add README.md for run_moveit_cpp
  * [improve] ROS2 demo: Improve plan visualization
  * [improve] Add .repos with demo runtime dependencies
  * [improve] Add trajectory publisher
  * [improve] Add fake joint driver node with config files
  * [improve] Edit Rviz config file
  * [improve] ROS2 demo: Add RViz config file
  * [improve] ROS2 demo: Async execution and plan visualization
  * [improve] ROS2 demo: Launch RViz
  * [improve] Add demo package run_moveit_cpp
  * Contributors: Henning Kayser, Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Feb 2020 07:00:00 -0000

=== debian/control ===
Source: ros-foxy-run-moveit-cpp
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-moveit-common, ros-foxy-moveit-ros-planning-interface, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-run-moveit-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-controller-manager, ros-foxy-moveit-resources-panda-moveit-config, ros-foxy-moveit-ros-planning-interface, ros-foxy-robot-state-publisher, ros-foxy-rviz2, ros-foxy-tf2-ros, ros-foxy-warehouse-ros-mongo, ros-foxy-ros-workspace
Description: TODO: Package description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-run-moveit-cpp//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
